Campaigns
List campaigns
Returns the organization's campaigns, newest first, optionally filtered by status.
Returns the organization's campaigns, newest first, optionally filtered by status. Each row carries series, the last 14 days of daily email sends the campaign produced, oldest first. Pass nextCursor back as cursor for the next page; it is null on the last page.
Authorization
apiKey x-api-key<token>
In: header
Query Parameters
status?|null
limit?string|null
cursor?CursorEncoded|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/campaigns"{ "items": [ { "id": "string", "name": "string", "channel": "email", "content": { "channel": "email", "email": { "subject": "string", "html": "string", "text": "string", "attachments": [ { "filename": "string", "content": "string", "mediaId": "string", "contentType": "string", "size": 1 } ], "publicationId": "string", "inputContractId": "string", "templateId": "string", "templateSlug": "string", "templateData": {}, "locale": "string", "timeZone": "string", "inReplyToMessageId": "string", "replyTo": [ "string" ], "unsubscribeGroupId": "string", "tracking": { "opens": true, "clicks": true }, "footer": { "enabled": true } }, "conversationId": "string", "metadata": {} }, "audience": { "includeTags": [ "string" ], "excludeTags": [ "string" ], "contactIds": [ "string" ], "groupIds": [ "string" ] }, "policy": { "unsubscribeGroupId": "string", "pageSize": 100 }, "definition": { "state": "editable", "frozenAt": "string" }, "latestRun": { "id": "string", "status": "scheduled", "scheduledFor": "string", "completedAt": "string", "totalRecipients": 0, "dispatchedCount": 0, "failedCount": 0, "skippedCount": 0, "estimatedCompletionAt": "string" }, "createdBy": "string", "actorEmail": "string", "memberRole": "string", "createdAt": "string", "updatedAt": "string", "series": [ 0 ] } ], "nextCursor": "string"}